// pages/successReminder/successReminder.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    description:'为保证申诉顺利性，请先下架被投诉产品链接',
    type:'申诉'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const types = [
      {
        id:3,
        type:'申诉',
        description:'为保证申诉顺利性，请先下架被投诉产品链接'
      },
      {
        id:2,
        type:'维权',
        description:'为保证您的知识产品，请继续留意侵权方向'
      },
      {
        id:1,//查风险
        type:'',
        description:''
      },
      {
        id:4,//申请
        type:'',
        description:''
      },
    ]
    console.log(options)
    if(options.id){
      var obj = types.find(item=>{
        return item.id == options.id
      })
      if(obj){
        this.setData(
          {
            description:obj.description,
            type:obj.type
          }
        )
      }
    }
    if(options.type){
      this.setData(
        {
          type:options.type
        }
      )
    }
    if(options.description){
      this.setData(
        {
          description:options.description
        }
      )
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})